Skip to main content

ActivateChannel enables a communication channel for the organization.

POST 

/api/v1/billing/channels/:channel/activate

Creates a new channel license and begins billing. Some channels require external account configuration.

Authorization​

Requires billing:manage permission.

Configuration Examples​

WhatsApp:

{
"phone_number": "+254700000000",
"waba_id": "123456789",
"display_name": "Acme Support"
}

SMS:

{
"sender_id": "ACME",
"provider": "safaricom"
}

Errors​

  • ALREADY_EXISTS: Channel already activated
  • INVALID_ARGUMENT: Invalid configuration format
  • FAILED_PRECONDITION: Subscription doesn't support this channel

Request​

Responses​

A successful response.